guix-glicid
===
Description
---
We define in this repository packages that we use at GLiCID HPC that are etheir not in guix main channels or with custom definitions.

Two channels here :
- main ![CI Badge](https://guix.glicid.fr/jobset/glicid/badge.svg?type=1) : stable release of our channel
- devel ![CI Badge](https://guix.glicid.fr/jobset/glicid-devel/badge.svg?type=1) : development release of our channel, things may get broken

How to use
---
To use the guix-glicid channel, add these lines to ~/.config/guix/channels.scm or /etc/guix/channels.scm :

<details>
  <summary>For stable release :</summary>

```
(channel
    (name 'glicid)
    (url "https://gitlab.univ-nantes.fr/glicid-public/guix-glicid.git")
    (branch "main"))
```

</details>

<details>
  <summary>For devel release :</summary>

```
(channel
    (name 'glicid)
    (url "https://gitlab.univ-nantes.fr/glicid-public/guix-glicid.git")
    (branch "devel"))
```

</details>

Substitutes configuration
---

We offer substitutes (pre-built binaries) for these channels.

<details>
  <summary>Substitutes configuration :</summary>

To obtain substitutes for packages in theses channel, add https://guix-substitutes.glicid.fr/ and authorize this key:
```
(public-key 
  (ecc 
    (curve Ed25519)
    (q #C07EE66C971860BFE963856ADD29F5F97E347C0C97E4A915B0BE74114EB443AB#)))
```

</details>
